API Documentation

Add comment

Description

Adds a comment to a task.

Request format

curl -X POST https://kanbanflow.com/api/v1/tasks/<TASK_ID>/comments -H "Content-type: application/json"
 -d '{ "<PROPERTY_1>": <PROPERTY_VALUE_1>, "<PROPERTY_2>": <PROPERTY_VALUE_2>, ... "<PROPERTY_N>": <PROPERTY_VALUE_N> }'

Example request

curl -X POST https://kanbanflow.com/api/v1/tasks/T3s6UGyzY/comments -H "Content-type: application/json"
 -d '{ "text": "Lorem ipsum dolor sit amet" }'

Example response

{
    "taskCommentId": "C9LIn5sEEpqT"
}

Valid properties

PropertyTypeComment
textStringRequired. The comment text.
authorUserIdStringOptional (default=API user's ID). The ID of the comment author. See Get users tab for information about how to get a user's ID.
createdTimestampStringOptional (default=time now). The UTC timestamp for when the comment was created, for example 2023-12-31T00:00:00.000Z.